__doc__='''Sample poll initialization module

The job of this module is to provide any run-time initialization
needed by a poll and to define poll meta data. 

This sample poll publishes a simple object.

$Id: __init__.py,v 1.4 1998/09/25 18:27:53 jim Exp $'''
__version__='$Revision: 1.4 $'[11:-2]

from ImageFile import ImageFile

# Import the module containing poll-specific objects that are
# made available in folders.
import Poll

# Poll meta-data:

# Names of objects added by this poll:
meta_types=(
    {'name': 'Poll Item',               # The name of the object type
     'action': 'manage_addSamplePollItemForm', # The method to add one.     
     },
    )

# Attributes (usually "methods") to be added to folders to support
# creating objects:
methods={
    'manage_addSamplePollItemForm': Poll.addItemForm,
    'manage_addSamplePollItem':     Poll.addItem,
    }

# Permission to be added to folders:
__ac_permissions__=(
    # To add items:
    ('Add Poll',
     ('manage_addSamplePollItemForm', 'manage_addSamplePollItem')),
    # To manipulate item permissions at a high level.  Note that the
    # list of objects is empty, since we are just providing a place
    # to put acquired settings:
    ('Change Poll', ()),
    ('Vote', ()),
    )

# Define shared web objects that are used by polls.
# This is usually (always ?) limited to images used 
# when displaying an object ub contents lists.
# These objects are accessed as:
#   <!--#var SCRIPT_NAME-->/misc_/Poll/name
misc_={
    'pieChart':   ImageFile('pieChart.gif',   globals()),
    'q':   ImageFile('q.gif',   globals()),
    'a':   ImageFile('a.gif',   globals()),
    }

